unit Sparkle.Design.AddMiddleware;

interface

uses SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, StdCtrls, Buttons;

type
  TAddMiddlewareForm = class(TForm)
    OkBtn: TButton;
    CancelBtn: TButton;
    GroupBox1: TGroupBox;
    MiddlewareList: TListBox;
    procedure MiddlewareListDblClick(Sender: TObject);
  public
    function Selected: string;
  end;

implementation

{$R *.dfm}

{ TAddMiddlewareForm }

procedure TAddMiddlewareForm.MiddlewareListDblClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;

function TAddMiddlewareForm.Selected: string;
begin
  if MiddlewareList.ItemIndex >= 0 then
    Result := MiddlewareList.Items[MiddlewareList.ItemIndex]
  else
    Result := '';
end;

end.
